#
# spec file for package aprsd
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:         aprsd
Version:      2.2.5
Release:      lp152.38.2
License:      GPL-2.0
Summary:      APRS Internet server program
URL:          http://www.wa4dsy.net/aprs/
Group:        Productivity/Hamradio/Other
Source:       %{name}-%{version}.tar.bz2
Patch:        aprsd-2.2.5.diff
Patch1:       aprsd-mic-e-pass.patch
Patch2:       aprsd-linuxh.diff
Patch3:       aprsd-2.2.5_for_11.0.diff
Patch4:       validate_fix_iterator.diff
PreReq:       %fillup_prereq %insserv_prereq
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

BuildRequires: gcc-c++

%description
This is an APRS Internet server program.  It acts as a gateway between
the Internet and a local ham VHF APRS packet network. It is interfaced
directly to a TNC via one of the PC serial ports and does not use the
Linux ax25 sockets interface.



Authors:
--------
    Dale A. Heatherington <wa4dsy@wa4dsy.radio.org>

%prep
%setup -q
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1


%build
./configure --prefix=/usr
make

%install
make prefix=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mv $RPM_BUILD_ROOT/bin/aprsd $RPM_BUILD_ROOT/usr/sbin/aprsd
mv $RPM_BUILD_ROOT/bin/aprspass $RPM_BUILD_ROOT/usr/sbin/aprspass
rmdir $RPM_BUILD_ROOT/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/packages/aprsd
mkdir -p $RPM_BUILD_ROOT/usr/share/aprsd
cp admin/* $RPM_BUILD_ROOT/usr/share/aprsd/

%files
%defattr(-,root,root)
%{_datadir}/aprsd/
%doc COPYING README ChangeLog doc/aprsddoc.html doc/ports.html doc/q.html doc/qalgorithm.html
%{_sbindir}/aprsd
%{_sbindir}/aprspass

%changelog
* Sat Feb 23 2013 dl8fcl@darc.de
- fix for 12.1 and newer. Cleanup of spec file
  changelog moved to seperate file
* Wed Feb 23 2011 dl8fcl@darc.de
- Fix for 11.4
* Mon Jun  2 2008 dl9pf@gmx.de
- Make it compile with 11.0 again
* Sat Aug 18 2007 dg7gt@online.de
- Added aprsd.cpp - Patch (from Debian) to compile with openSUSE 10.3
* Tue Feb 20 2007 dl9pf@gmx.de
- import into buildservice
* Wed Jun 14 2006 dg7gt@online.de
- Added Mic-E-Patch (as suggested from Jan, DK7JAN)
* Wed May 31 2006 dg7gt@online.de
- updated to new version 2.2.5-15
- rewrite spec file
- added some patches for compile under SUSE 10.1
* Thu Jan 15 2004 kukuk@suse.de
- Cleanup neededforbuild
* Wed Dec  4 2002 jreuter@suse.de
- upgrade to version 2.15b9
- fixed C++ includes (I hope)
- installs user.deny properly as aprs_user.deny now
- logs to /var/log/aprsd
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Tue Aug 20 2002 mmj@suse.de
- Correct PreReq
* Sun Jan 13 2002 ro@suse.de
- removed START_APRSD
* Mon Sep 24 2001 jreuter@suse.de
- fixed rc script for LSB compliance (closes bug #8968)
* Thu Jan  4 2001 ka@suse.de
- Don't start aprsd by default (START_APRSD=no)
* Sat Dec  2 2000 ka@suse.de
- update to version 2.1.4
- added INIT INFO to init script
- fixed some texts from /sbin/init.d to /etc/init.d/
* Thu Nov 30 2000 ro@suse.de
- startscript fixed
* Thu Nov 30 2000 jreuter@suse.de
- changed group tag
* Mon Nov 13 2000 ro@suse.de
- use -D_GNU_SOURCE for gethostbyname2
* Mon May 29 2000 ka@suse.de
- update to version 2.1.1
- moved /usr/doc to /usr/share/doc (FHS)
- moved configuration from /etc/rc.config to /etc/rc.config.d
- made use of macros in spec file
- added group tag to spec file
- don't replace /var/lib/aprsd/welcome.txt during update
* Fri Mar 17 2000 ka@suse.de
- update to version 2.1.0
- moved /var/lib/arpsd/aprsd.conf to /etc/aprsd.conf
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Aug  6 1999 bs@suse.de
- removed libgpp27 from neededforbuild
* Thu May 20 1999 ro@suse.de
- no m486 on alpha
- include errno.h
* Tue Mar 30 1999 ka@suse.de
- initial release
